Package com.io7m.jcamera

# Interface JCameraSphericalAngularIntegratorType

All Superinterfaces:
  `JCameraIntegratorType`

All Known Subinterfaces:
  `JCameraSphericalIntegratorType`

All Known Implementing Classes:
  `JCameraSphericalAngularIntegrator`

public interface JCameraSphericalAngularIntegratorType extends JCameraIntegratorType
The type of integrators that integrate angular movement for `JCameraSphericalType` cameras.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `integratorAngularOrbitHeadingSetAcceleration(double a)`
  Set the acceleration for heading orbiting to `a`.
  `void`
  `integratorAngularOrbitHeadingSetDrag(double d)`
  Set the drag for heading orbiting to `a`.
  `void`
  `integratorAngularOrbitHeadingSetMaximumSpeed(double s)`
  Set the maximum rotation speed for heading orbiting to `s` .
  `void`
  `integratorAngularOrbitInclineSetAcceleration(double a)`
  Set the acceleration for incline orbiting to `a`.
  `void`
  `integratorAngularOrbitInclineSetDrag(double d)`
  Set the drag for incline orbiting to `a`.
  `void`
  `integratorAngularOrbitInclineSetMaximumSpeed(double s)`
  Set the maximum rotation speed for incline orbiting to `s`.
  `JCameraSphericalReadableType`
  `integratorGetCamera()`
  `JCameraSphericalInputType`
  `integratorGetInput()`

  ### Methods inherited from interface com.io7m.jcamera.JCameraIntegratorType

  `integrate`

- ## Method Details

  - ### integratorAngularOrbitHeadingSetAcceleration

    void integratorAngularOrbitHeadingSetAcceleration(double a)
    Set the acceleration for heading orbiting to `a`.
    Parameters:
      `a` - The acceleration value.

  - ### integratorAngularOrbitHeadingSetDrag

    void integratorAngularOrbitHeadingSetDrag(double d)
    Set the drag for heading orbiting to `a`.
    Parameters:
      `d` - The drag value.

  - ### integratorAngularOrbitHeadingSetMaximumSpeed

    void integratorAngularOrbitHeadingSetMaximumSpeed(double s)
    Set the maximum rotation speed for heading orbiting to `s` .
    Parameters:
      `s` - The maximum rotation speed.

  - ### integratorAngularOrbitInclineSetAcceleration

    void integratorAngularOrbitInclineSetAcceleration(double a)
    Set the acceleration for incline orbiting to `a`.
    Parameters:
      `a` - The acceleration value.

  - ### integratorAngularOrbitInclineSetDrag

    void integratorAngularOrbitInclineSetDrag(double d)
    Set the drag for incline orbiting to `a`.
    Parameters:
      `d` - The drag value.

  - ### integratorAngularOrbitInclineSetMaximumSpeed

    void integratorAngularOrbitInclineSetMaximumSpeed(double s)
    Set the maximum rotation speed for incline orbiting to `s`.
    Parameters:
      `s` - The maximum rotation speed.

  - ### integratorGetCamera

    JCameraSphericalReadableType integratorGetCamera()
    Returns:
      The camera that will be affected by the integrator

  - ### integratorGetInput

    JCameraSphericalInputType integratorGetInput()
    Returns:
      The input used to drive the integrator.